列出 secureScores

命名空间:microsoft.graph

检索 secureScore 对象的列表。

权限

要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限

权限类型 权限(从最低特权到最高特权)
委派(工作或学校帐户) SecurityEvents.Read.All,SecurityEvents.ReadWrite.All
委派(个人 Microsoft 帐户) 不支持。
应用程序 SecurityEvents.Read.All,SecurityEvents.ReadWrite.All

HTTP 请求

GET /security/secureScores
GET /security/secureScores?$top=1
GET /security/secureScores?$top=1&$skip=7
GET /security/secureScores?$filter={property} eq '{property-value}'

可选的查询参数

此方法支持以下 OData 查询参数,它们有助于自定义响应:

  • $count
  • $filter
  • $skip
  • $top 将返回每个安全 API 提供程序的顶部聚合结果。

请求标头

名称 说明
Authorization 持有者 {code}。必需。

请求正文

请勿提供此方法的请求正文。 将忽略请求正文。

响应

如果成功,此方法在响应正文中返回一个 200 OK 响应代码和 secureScores 对象集合。

示例

请求

下面展示了示例请求。

GET https://graph.microsoft.com/v1.0/security/secureScores?$top=1

响应

下面展示了示例响应。

HTTP/1.1 200 OK
Content-type: application/json

{
    "value": [
        {
            "id": "00000001-0001-0001-0001-000000000001c_2019-03-19",
            "azureTenantId": "00000001-0001-0001-0001-000000000001c",
            "activeUserCount": 0,
            "createdDateTime": "2019-03-19T15:21:00Z",
            "currentScore": 387.0,
            "enabledServices": [
                "HasExchange",
                "HasSharePoint",
                "HasInTune"
            ],
            "licensedUserCount": 100,
            "maxScore": 697.0,
            "averageComparativeScores": [
                {
                    "basis": "AllTenants",
                    "averageScore": 37.0
                },
                {
                    "basis": "TotalSeats",
                    "averageScore": 46.0
                },
                {
                    "basis": "IndustryTypes",
                    "averageScore": 109.0
                }
            ],
            "controlScores": [
                {
                    "controlCategory": "Identity",
                    "controlName": "AdminMFA",
                    "description": "Requiring multi-factor authentication (MFA) for all Azure Active Directory accounts with privileged roles",
                    "score": 35.0
                },
                {
                    "controlCategory": "Data",
                    "controlName": "DLPEnabled",
                    "description": "Data Loss Prevention (DLP) policies can be used to comply with business standards and industry regulations.",
                    "score": 20.0
                }
            ],
            "vendorInformation": {
                "provider": "SecureScore",
                "providerVersion": null,
                "subProvider": null,
                "vendor": "Microsoft"
            }
        }
    ]
}